/preview/creatives/{id}
curl --request GET \
--url https://api.criteo.com/preview/creatives/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"attributes": {
"advertiserId": "<string>",
"author": "<string>",
"name": "<string>",
"status": "<string>",
"adaptiveAttributes": {
"callsToAction": [
"<string>"
],
"colors": {
"backgroundColor": "<string>",
"ctaBackgroundColor": "<string>",
"ctaTextColor": "<string>",
"logoAreaAndTitleColor": "<string>",
"text1Color": "<string>",
"text2Color": "<string>"
},
"descriptionFont": "<string>",
"descriptionText": "<string>",
"headlineFont": "<string>",
"headlineText": "<string>",
"landingPageUrl": "<string>",
"layouts": [],
"logos": [
{
"url": "<string>"
}
],
"imageSets": [
{
"images": [
{
"url": "<string>"
}
],
"headlineText": "<string>"
}
],
"videos": [
{
"duration": 123,
"url": "<string>"
}
]
},
"datasetId": "<string>",
"description": "<string>",
"dynamicAttributes": {
"bodyTextColor": "<string>",
"callsToAction": [
"<string>"
],
"creativeBackgroundColor": "<string>",
"logos": [
{
"url": "<string>"
}
],
"pricesColor": "<string>",
"primaryFont": "<string>"
},
"format": "<string>",
"htmlTagAttributes": {
"tags": [
{
"htmlTag": "<string>",
"size": {
"height": 123,
"width": 123
}
}
]
},
"id": "<string>",
"imageAttributes": {
"landingPageUrl": "<string>",
"urls": [
"<string>"
]
}
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/preview/creatives/{id}
Get a Creative with its id
GET
/
preview
/
creatives
/
{id}
/preview/creatives/{id}
curl --request GET \
--url https://api.criteo.com/preview/creatives/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"attributes": {
"advertiserId": "<string>",
"author": "<string>",
"name": "<string>",
"status": "<string>",
"adaptiveAttributes": {
"callsToAction": [
"<string>"
],
"colors": {
"backgroundColor": "<string>",
"ctaBackgroundColor": "<string>",
"ctaTextColor": "<string>",
"logoAreaAndTitleColor": "<string>",
"text1Color": "<string>",
"text2Color": "<string>"
},
"descriptionFont": "<string>",
"descriptionText": "<string>",
"headlineFont": "<string>",
"headlineText": "<string>",
"landingPageUrl": "<string>",
"layouts": [],
"logos": [
{
"url": "<string>"
}
],
"imageSets": [
{
"images": [
{
"url": "<string>"
}
],
"headlineText": "<string>"
}
],
"videos": [
{
"duration": 123,
"url": "<string>"
}
]
},
"datasetId": "<string>",
"description": "<string>",
"dynamicAttributes": {
"bodyTextColor": "<string>",
"callsToAction": [
"<string>"
],
"creativeBackgroundColor": "<string>",
"logos": [
{
"url": "<string>"
}
],
"pricesColor": "<string>",
"primaryFont": "<string>"
},
"format": "<string>",
"htmlTagAttributes": {
"tags": [
{
"htmlTag": "<string>",
"size": {
"height": 123,
"width": 123
}
}
]
},
"id": "<string>",
"imageAttributes": {
"landingPageUrl": "<string>",
"urls": [
"<string>"
]
}
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The creative identifier to retrieve.
Response
200 - application/json
The found creative is returned.
Was this page helpful?
⌘I